# Copyright notice.
#   Original SPEC is provided by Zabbix LLC
#   Modified by Cybertrust Japan Co., Ltd.

%{!?original_name: %global original_name zabbix-agent2-plugin-mongodb}

Name:		miracle-zbx-agent2-plugin-mongodb
Version:	1.0.0
Release:	1%{?dist}
Summary:	MIRACLE ZBX Agent2 plugin for monitoring MongoDB installations
Group:		Applications/Internet
License:	Apache 2.0
URL:		https://www.cybertrust.co.jp/
Source0:	%{original_name}-%{version}.tar.gz
Patch1:		conf.patch

%description
MIRACLE ZBX Agent2 plugin for monitoring MongoDB installations

%define debug_package %{nil}

%prep
%setup0 -q -n %{original_name}-%{version}
%patch1 -p1

%build
export GOPATH=$HOME/go
export GOBIN=$GOPATH/bin
export PATH=$GOBIN:$PATH

go build

%install
mkdir -p $RPM_BUILD_ROOT%{_sbindir}/zabbix-agent2-plugin/
cp mongodb $RPM_BUILD_ROOT%{_sbindir}/zabbix-agent2-plugin/zabbix-agent2-plugin-mongodb
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/zabbix/zabbix_agent2.d/plugins.d/
cp mongodb.conf $RPM_BUILD_ROOT%{_sysconfdir}/zabbix/zabbix_agent2.d/plugins.d/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc LICENSE README.md
%{_sbindir}/zabbix-agent2-plugin/zabbix-agent2-plugin-mongodb
%config(noreplace) %{_sysconfdir}/zabbix/zabbix_agent2.d/plugins.d/mongodb.conf

%changelog
* Fri Jun 24 2022 Yuji Kamada <yuji.kamada@cybertrust.co.jp> - 1.0.0-1
- initial release of mongodb plugin for MIRACLE ZBX Agent2
